﻿Public Class data
    Const FILE1_NAME As String = "Hexagon Bolt.csv"
    Const FILE2_NAME As String = "temp2.csv"
    Const MATERIAL_FILE As String = "material.csv"
    Shared _txt As New ArrayList
    'Hexagon Bolt.csvファイルの読み込み
    Public Sub csv1fle(ByVal item() As String)
        Try
            Dim reader As New IO.StreamReader(Application.StartupPath & "\" & FILE1_NAME, System.Text.Encoding.GetEncoding("shift-jis"))
            Dim line As String   'ＣＳＶの１行
            Dim yobi As String   '（0）ねじの呼び径
            Dim pitti As String                  ' (1）ピッチ　　並み目ネジのみなので使用しない。
            Dim dskij As String  '（2）胴部分の径
            Dim ds0 As String    '（3）胴部分の径０公差
            Dim dsms As String   '（4）胴部分の径の－公差
            Dim kkij As String   '（5）頭部の厚み
            Dim kpums As String  '（6）頭部の厚み±公差
            Dim skij As String   '（7）Ｈ幅
            Dim s0 As String     '（8）Ｈ幅　０公差
            Dim sms As String    '（9）Ｈ幅　－公差
            Dim eyaku As String  '（10）頭部外径
            Dim dk As String     ' (11)
            Dim r As String      '（12）隅Ｒ
            Dim nothing1 As String                    ' (13)は現在ＣＳＶファイルが空欄のためここには表示しない。
            Dim z As String      '（14）先端面取り
            Dim tepa As Decimal = 0.577  'tan30の値
            Dim teplin As Decimal  '頭部xのテーパー開始点座標

            line = reader.ReadLine

            Do Until IsNothing(line)
                item = line.Split(", ")
                yobi = item(0)
                pitti = item(1)
                dskij = item(2)
                ds0 = item(3)
                dsms = item(4)
                kkij = item(5)
                kpums = item(6)
                skij = item(7)
                s0 = item(8)
                sms = item(9)
                eyaku = item(10)
                dk = item(11)
                r = item(12)
                nothing1 = item(13)
                z = item(14)

                yobi = yobi.Replace("""", "")
                pitti = pitti.Replace("""", "")
                dskij = dskij.Replace("""", "")
                ds0 = ds0.Replace("""", "")
                dsms = dsms.Replace("""", "")
                kkij = kkij.Replace("""", "")
                kpums = kpums.Replace("""", "")
                skij = skij.Replace("""", "")
                s0 = s0.Replace("""", "")
                sms = sms.Replace("""", "")
                eyaku = eyaku.Replace("""", "")
                dk = dk.Replace("""", "")
                r = r.Replace("""", "")

                z = z.Replace("""", "")

                If "M" & _txt(0) = yobi Then
                    Dim hex1 As New plan
                    hex1.hexmili1(yobi)
                    hex1.hexmili1(pitti)
                    hex1.hexmili1(dskij)
                    hex1.hexmili1(ds0)
                    hex1.hexmili1(dsms)
                    hex1.hexmili1(kkij)
                    hex1.hexmili1(kpums)
                    hex1.hexmili1(skij)
                    hex1.hexmili1(s0)
                    hex1.hexmili1(sms)
                    hex1.hexmili1(eyaku)
                    hex1.hexmili1(dk)
                    hex1.hexmili1(r)
                    hex1.hexmili1(nothing1)
                    hex1.hexmili1(z)

                End If
                line = reader.ReadLine
            Loop
            reader.Close()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

    End Sub
    'temp2.csvファイルの読み込み
    Public Sub csv2fle(ByVal item() As String)
        Try
            Dim reader As New IO.StreamReader(Application.StartupPath & "\" & FILE2_NAME)
            Dim yobi As String  '（0）ネジの呼び径
            Dim std As String   '（1）ネジ長さ標準（メソッドを別にするためここに、宣言）
            Dim lon As String   '（2）ネジ長さロング
            '                   '（3）ネジ長さ超ロング 現在はＭ２４までなので使用しない。
            Dim line As String  ' CSVの１行

            line = reader.ReadLine

            Do Until IsNothing(line)
                item = line.Split(",")
                yobi = item(0)
                std = item(1)
                lon = item(2)

                yobi = yobi.Replace("""", "")
                std = std.Replace("""", "")
                lon = lon.Replace("""", "")

                If yobi = "M" & _txt(0) Then
                    Dim hex2 As New plan
                    hex2.hexmili2(yobi)
                    hex2.hexmili2(std)
                    hex2.hexmili2(lon)
                End If
                line = reader.ReadLine
            Loop
            reader.Close()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
    'material.csvファイルの読み込み
    Public Sub mtrl(ByVal item() As String)
        Try
            Dim reader As New IO.StreamReader(Application.StartupPath & "\" & MATERIAL_FILE, System.Text.Encoding.GetEncoding("shift-jis"))
            Dim kod As String       '材料コード
            Dim matei As String     '材質
            Dim disp As String      '熱処理　高度
            Dim line As String      'ＣＳＶファイルの1行
            Dim txt3u As String     'TextBox3に入力された文字の大文字化

            txt3u = UCase(_txt(2))

            line = reader.ReadLine

            Do Until IsNothing(line)
                item = line.Split(",")
                kod = item(0)
                matei = item(1)
                disp = item(2)

                kod = kod.Replace("""", "")
                matei = matei.Replace("""", "")
                disp = disp.Replace("""", "")

                If kod = txt3u Then
                    Dim funcmat As New yamaneji
                    funcmat.materialcsv(matei)
                    funcmat.materialcsv(disp)
                End If
                line = reader.ReadLine
            Loop
            reader.Close()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

        _txt.Clear()
    End Sub
    ' TextBoxの内容を書き込み
    Public Sub mattxt(ByVal item As String)
        _txt.Add(item)
    End Sub

End Class
