﻿Public Class yamaneji
    Const COMPANY_NAME As String = "山本ねじ工販株式会社"
    Const ARTICLE_NAME As String = "六角ボルト"
    Const PIX_SIZE As Decimal = 4  '実線のピクセルサイズの基本値
    Const HHM_NAME As String = "HHM"
    Shared _materialcsv As New ArrayList
    Shared _txtnum As New ArrayList         'TextBoxに入力された数値の取得
    'ここからはコピペする
    Public Sub doframe(ByVal g As Graphics)
        Dim bitmapsize As Integer = 4
        Dim selpix As Decimal = 4  '枠線のピクセルサイズ　（基本は　４）

        '線の太さと色の設定
        Dim pb1 As New Pen(Color.Black, 1)  '線の太さ
        Dim pb2 As New Pen(Color.Black, 2)  '線の太さ
        Dim pb3 As New Pen(Color.Black, 3)  '線の太さ　

        '線の太さと色の設定
        Dim pb As New plan
        pb.depth(pb1)
        pb.depth(pb2)
        pb.depth(pb3)

        '文字サイズの数値
        Dim txtbld As Decimal = 20 '大文字サイズ
        Dim txtm As Decimal = 16 '中文字サイズ
        Dim fxize As Decimal = 12 '数値の大きさ 寸法数値
        Dim comsiz As Decimal = 9 '公差数値の大きさ

        ' 文字サイズの数値をplan　addメソッドに渡す。
        Dim txtsz As New plan
        txtsz.add(CStr(txtbld))
        txtsz.add(CStr(txtm))
        txtsz.add(CStr(fxize))
        txtsz.add(CStr(comsiz))

        'プロパティの記録 ゴシックの設定 
        Dim gosicp As New plan
        gosicp.gosic = "ＭＳ Ｐゴシック"
        Dim retgosic As String = gosicp.gosic

        'プロパティの記録 FontStyleの設定
        Dim fontsp As New plan
        fontsp.fonts = Drawing.FontStyle.Bold
        Dim retfont As Drawing.FontStyle = fontsp.fonts

        'ココからはセルの設定
        '外枠の設定
        g.DrawRectangle(pb3, 12 * selpix, 12 * selpix, 186 * selpix, 273 * selpix)
        'ココから水平線の指定
        '上段水平線
        g.DrawLine(pb3, 12 * selpix, 243 * selpix, 198 * selpix, 243 * selpix)
        '２段目水平線
        g.DrawLine(pb2, 68 * selpix, 254 * selpix, 198 * selpix, 254 * selpix)
        '3段目水平線
        g.DrawLine(pb2, 68 * selpix, 265 * selpix, 198 * selpix, 265 * selpix)
        '４段目の水平線
        g.DrawLine(pb2, 68 * selpix, 275 * selpix, 198 * selpix, 275 * selpix)
        '寸法区分の水平線
        g.DrawLine(pb2, 12 * selpix, 249 * selpix, 68 * selpix, 249 * selpix)
        g.DrawLine(pb2, 12 * selpix, 255 * selpix, 68 * selpix, 255 * selpix)
        g.DrawLine(pb2, 12 * selpix, 261 * selpix, 68 * selpix, 261 * selpix)
        g.DrawLine(pb2, 12 * selpix, 267 * selpix, 68 * selpix, 267 * selpix)
        g.DrawLine(pb2, 12 * selpix, 273 * selpix, 68 * selpix, 273 * selpix)
        g.DrawLine(pb2, 12 * selpix, 279 * selpix, 68 * selpix, 279 * selpix)

        'ここから垂直線の指定
        '右から１列目
        g.DrawLine(pb2, 162 * selpix, 243 * selpix, 162 * selpix, 265 * selpix)
        '右から２列目
        g.DrawLine(pb2, 126 * selpix, 243 * selpix, 126 * selpix, 285 * selpix)
        '右から３列目
        g.DrawLine(pb3, 68 * selpix, 243 * selpix, 68 * selpix, 285 * selpix)
        '許容差　垂直線
        g.DrawLine(pb2, 54 * selpix, 243 * selpix, 54 * selpix, 285 * selpix)

        '加工マークの表示
        Dim b As New Font("ＭＳ 明朝", 50, FontStyle.Regular)
        g.DrawString("▽", b, Brushes.Black, 160 * selpix, 25 * selpix)

        '文字のフォント指定。
        Dim c As New Font("ＭＳ Ｐゴシック", txtm, FontStyle.Bold)
        Dim d As New Font("ＭＳ Ｐゴシック", txtbld, FontStyle.Bold)
        Dim f As New Font("ＭＳ Ｐゴシック", fxize, FontStyle.Bold) '数値の大きさ 寸法数値のインスタンス
        Dim h As New Font("ＭＳ Ｐゴシック", comsiz, FontStyle.Bold) '公差数値の大きさのインスタンス
        '図面枠内の文字表示
        g.DrawString("寸法区分", f, Brushes.Black, 23 * selpix, 244 * selpix)
        g.DrawString("   　0.5以上　  　 6以下", f, Brushes.Black, 11.5 * selpix, 250 * selpix)
        g.DrawString("     6を超え    　30以下", f, Brushes.Black, 11.5 * selpix, 256 * selpix)
        g.DrawString("   30を超え     120以下", f, Brushes.Black, 11.5 * selpix, 262 * selpix)
        g.DrawString(" 120を超え　   315以下", f, Brushes.Black, 11.5 * selpix, 268 * selpix)
        g.DrawString(" 315を超え　 1000以下", f, Brushes.Black, 11.5 * selpix, 274 * selpix)
        g.DrawString("1000を超え   2000以下", f, Brushes.Black, 11.5 * selpix, 280 * selpix)
        '許容さの表示
        g.DrawString("許容差", f, Brushes.Black, 54 * selpix, 244 * selpix)
        g.DrawString("±0.1", f, Brushes.Black, 55 * selpix, 250 * selpix)
        g.DrawString("±0.2", f, Brushes.Black, 55 * selpix, 256 * selpix)
        g.DrawString("±0.3", f, Brushes.Black, 55 * selpix, 262 * selpix)
        g.DrawString("±0.5", f, Brushes.Black, 55 * selpix, 268 * selpix)
        g.DrawString("±0.8", f, Brushes.Black, 55 * selpix, 274 * selpix)
        g.DrawString("±1.2", f, Brushes.Black, 55 * selpix, 280 * selpix)

        '大枠内の文字の表示
        g.DrawString("材質", f, Brushes.Black, 69 * selpix, 244 * selpix)
        g.DrawString("熱処理　硬度", f, Brushes.Black, 69 * selpix, 255 * selpix)
        g.DrawString("表面処理", f, Brushes.Black, 69 * selpix, 265 * selpix)
        g.DrawString("図法", f, Brushes.Black, 127 * selpix, 244 * selpix)
        g.DrawString("承認", f, Brushes.Black, 127 * selpix, 255 * selpix)
        g.DrawString("図番", f, Brushes.Black, 127 * selpix, 265 * selpix)
        g.DrawString("品名", f, Brushes.Black, 127 * selpix, 275 * selpix)
        g.DrawString("尺度", f, Brushes.Black, 162 * selpix, 244 * selpix)
        g.DrawString("製図", f, Brushes.Black, 162 * selpix, 255 * selpix)
        g.DrawString(COMPANY_NAME, c, Brushes.Black, 69 * selpix, 278 * selpix)
        g.DrawString("三角法", d, Brushes.Black, 135 * selpix, 246 * selpix)
        g.DrawString(ARTICLE_NAME, d, Brushes.Black, 135 * selpix, 277 * selpix)
        'ココまでは全て共通コピペする。

        '材質表示
        g.DrawString(_materialcsv(0), d, Brushes.Black, 80 * selpix, 246 * selpix)

        '熱処理　高度　
        g.DrawString(_materialcsv(1), f, Brushes.Black, 71 * selpix, 260 * selpix)

        '尺度
        Dim leng As Decimal
        leng = CDec(_txtnum(7)) / PIX_SIZE
        g.DrawString(leng & "/" & "1", d, Brushes.Black, 175 * selpix, 246 * selpix)

        '図番の表示  
        Dim yobikod As String
        If 10 > CDec(_txtnum(0)) Then
            yobikod = "0" & _txtnum(0)
        ElseIf CDec(_txtnum(0)) >= 10 Then
            yobikod = _txtnum(0)
        End If


        Dim ln As String  'TextBox2に入力された文字 全長が100未満か100以上で0を付ける
        Dim txt3u As String     'TextBox3に入力された文字の大文字化
        txt3u = UCase(_txtnum(2))
        If 10 > CDec(_txtnum(1)) Then
            ln = "00" & _txtnum(1)
            g.DrawString(HHM_NAME & yobikod & "X" & ln + txt3u, d, Brushes.Black, 136 * selpix, 267 * selpix)
        ElseIf 100 > CDec(_txtnum(1)) AndAlso CDec(_txtnum(1)) >= 10 Then
            ln = "0" & _txtnum(1)
            g.DrawString(HHM_NAME & yobikod & "X" & ln + txt3u, d, Brushes.Black, 136 * selpix, 267 * selpix)
        ElseIf CDec(_txtnum(1)) >= 100 Then
            ln = _txtnum(1)
            g.DrawString(HHM_NAME & yobikod & "X" & ln + txt3u, d, Brushes.Black, 136 * selpix, 267 * selpix)
        End If

        _txtnum.Clear()
        _materialcsv.Clear()
    End Sub

    'material.csvからのファイルのデータの取得
    Public Sub materialcsv(ByVal item As String)
        _materialcsv.Add(item)
    End Sub
    'TextBoxに入力された数値の取得
    Public Sub txtnum(ByVal item As String)
        _txtnum.Add(item)
    End Sub
End Class
