﻿Public Class Form1
    'A4サイズの寸法は　210 × 297 ミリ
    Const BMP_NAME As String = "hexagonholt.bmp"  '画像保存ファイル
    Const HEX_BOLT As String = "Hexagon Bolt.csv"  'ボルトのＣＳＶファイル
    Const HEX_UBOLT As String = "Hexagon UBolt.csv"  'ユニファイボルトのＣＳＶファイル
    Const TENP_FILE As String = "temp2.csv"
    Const TEMP3_FILE As String = "temp3.csv" '胴部長さの公差ファイル　　現在はＭ２４までなので使用しない
    Const MATERIAL_FILE As String = "material.csv"  '材料コードのＣＳＶファイル　
    Dim selpixsize As Decimal = 4  '枠線のピクセルサイズ　（基本は　４）
    Dim pixs As Decimal  '実線のピクセルサイズ（基本は　４）
    Dim sizpix As Decimal = 4 '寸法線のピクセルサイズ　（基本は　４）
    Dim txtpix As Decimal = 4 '寸法数値のピクセルサイズ　（基本は　４）
    Dim bitmapsize As Integer = 4

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.KeyPreview = True
        TextBox4.Enabled = False
        TextBox5.Enabled = False
    End Sub
    Private Sub Form1_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles MyBase.KeyPress
        If e.KeyChar = Chr(Keys.Enter) Then
            Me.SelectNextControl(Me.ActiveControl, True, True, True, True)
            e.Handled = True
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim ysnt As Decimal = 130  'Ｙの基準点
        Dim txt1 As String     'TextBox1に入力された文字
        Dim l As Decimal       'TextBox2に入力された文字   首下長
        Dim mtkodo As String   'TextBox3に入力された文字
        Dim material As String 'TextBox4に入力された文字
        Dim treat As String    'TextBox5に入力された文字
        Dim xsnt1 As Decimal   'TextBox6に入力された文字   六角端面図中心位置左からの寸法
        Dim xsnt2 As Decimal   'TextBox7に入力された文字　　ネジ側表示頭部端面左からの寸法　
        Dim pixs As Decimal    'TextBox8に入力された文字   実線のピクセルサイズ（基本は　４）
        Dim tyb As Decimal     'TextBox9に入力された文字 　頭部厚み寸法の位置"k"現在位置からの移動距離
        Dim txt10 As Decimal    'TextBox10に入力された文字  頭部端面径寸法の位置"dk"現在位置からの移動距離

        'dataに書き込み
        txt1 = TextBox1.Text
        l = TextBox2.Text
        mtkodo = TextBox3.Text
        material = TextBox4.Text
        treat = TextBox5.Text
        xsnt1 = TextBox6.Text
        xsnt2 = TextBox7.Text
        pixs = TextBox8.Text
        tyb = TextBox9.Text
        txt10 = TextBox10.Text

        If TextBox1.Text = "" Then
            MsgBox("呼び径を入力してください。")
            Return
        End If

        If TextBox2.Text = "" Then
            MsgBox("長さを入力してください。")
            Return
        End If

        Dim txtlog As New plan
        txtlog.txtnum(txt1)     'TextBox1(0)
        txtlog.txtnum(l)        'TextBox2(1)
        txtlog.txtnum(mtkodo)   'TextBox3(2)
        txtlog.txtnum(material) 'TextBox4(3)
        txtlog.txtnum(treat)    'TextBox5(4)
        txtlog.txtnum(xsnt1)    'TextBox6(5)
        txtlog.txtnum(xsnt2)    'TextBox7(6)
        txtlog.txtnum(pixs)     'TextBox8(7)
        txtlog.txtnum(tyb)      'TextBox9(8)
        txtlog.txtnum(txt10)     'TextBox10(9)

        Dim mtfle As New data
        mtfle.mattxt(txt1)     'TextBox1(0)mattxt
        mtfle.mattxt(l)        'TextBox2(1)
        mtfle.mattxt(mtkodo)   'TextBox3(2)
        mtfle.mattxt(material) 'TextBox4(3)
        mtfle.mattxt(treat)    'TextBox5(4)
        mtfle.mattxt(xsnt1)    'TextBox6(5)
        mtfle.mattxt(xsnt2)    'TextBox7(6)
        mtfle.mattxt(pixs)     'TextBox8(7)
        mtfle.mattxt(tyb)      'TextBox9(8)
        mtfle.mattxt(txt10)     'TextBox10(9)

        Dim ynji As New yamaneji
        ynji.txtnum(txt1)     'TextBox1(0)
        ynji.txtnum(l)        'TextBox2(1)
        ynji.txtnum(mtkodo)   'TextBox3(2)
        ynji.txtnum(material) 'TextBox4(3)
        ynji.txtnum(treat)    'TextBox5(4)
        ynji.txtnum(xsnt1)    'TextBox6(5)
        ynji.txtnum(xsnt2)    'TextBox7(6)
        ynji.txtnum(pixs)     'TextBox8(7)
        ynji.txtnum(tyb)      'TextBox9(8)
        ynji.txtnum(txt10)     'TextBox10(9)

        Dim gr As Graphics
        PictureBox1.Image = New Bitmap(210 * bitmapsize, 297 * bitmapsize)
        gr = Graphics.FromImage(PictureBox1.Image)

        Dim formpict As New yamaneji
        Dim descript As New plan
        Dim readcsv1 As New data

        'Hexagon Bolt.csvファイルの読み込み
        Dim csvdata1() As String
        readcsv1.csv1fle(csvdata1)

        '.csvファイルの読み込み
        Dim csvdata2() As String
        readcsv1.csv2fle(csvdata2)

        'material.csvファイルの読み込みmtrl
        Dim mterial() As String
        readcsv1.mtrl(mterial)

        '枠線描画のメソッド
        formpict.doframe(gr)

        '形図描画のメソッド
        descript.doplan(gr)

        gr.Dispose()

        '保存のメソッド
        savepic()
        '表示のメソッド
        openpic()


    End Sub

    '保存のメソッド
    Private Sub savepic()
        If Not (PictureBox1.Image Is Nothing) Then
            PictureBox1.Image.Save(Application.StartupPath & "\" & BMP_NAME)
        End If
    End Sub
    'Process.Startのメソッド
    Private Sub openpic()
        Process.Start(Application.StartupPath & "\" & BMP_NAME)
    End Sub

    Private Sub ファイルFToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ファイルFToolStripMenuItem.Click
        MsgBox("現在開発中" & vbNewLine & "使用できません。")
    End Sub
    Private Sub 表示VToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 表示VToolStripMenuItem.Click
        MsgBox("現在開発中" & vbNewLine & "使用できません。")
    End Sub

    Private Sub 印刷ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 印刷ToolStripMenuItem.Click
        MsgBox("現在開発中" & vbNewLine & "使用できません。")
    End Sub

    Private Sub バージョンToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles バージョンToolStripMenuItem.Click
        MsgBox(Application.ProductVersion & vbNewLine & Application.ProductName)
    End Sub

    Private Sub 制作著作ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 制作著作ToolStripMenuItem.Click
        MsgBox("制作" & vbNewLine & "田中　裕之")
    End Sub

    Private Sub 説明書ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 説明書ToolStripMenuItem.Click
        Dim reader As New IO.StreamReader(Application.StartupPath & "\" & "Readme.txt", System.Text.Encoding.GetEncoding("shift-jis"))
        Dim txt1 As String
        txt1 = reader.ReadToEnd
        Dim f As New Form2
        f.Owner = Me
        f.TextBox1.Text = txt1
        f.Show()
        f.TextBox1.DeselectAll()

    End Sub
End Class
