﻿Imports System.Drawing.Drawing2D

Public Class plan
    Const PIX_SIZE As Decimal = 4  '実線のピクセルサイズの基本値
    Shared _txt As New ArrayList     '文字サイズの数値
    Shared _pbp As New ArrayList     '線の太さ
    Shared _gosic As String             'ゴシックの設定
    Shared _fonts As Drawing.FontStyle               'FontStyleの設定
    Shared _txtnum As New ArrayList         'TextBoxに入力された数値の取得
    Shared _hexmili1 As New ArrayList       'Hexagon Bolt.csvファイルのデータ 
    Shared _hexmili2 As New ArrayList       'temp2.csvファイルのデータ
    Dim hl As Decimal   '頭部六角表示中ライン　　公式　ｈｌ＝ｈ×tan30（メソッドを別にするためここに、宣言）
    Dim r1 As Decimal  ''頭部六角表示中ライン外側Ｒ（メソッドを別にするためここに、宣言）
    Dim r2 As Decimal  '頭部六角表示中ラインを結ぶ円弧（メソッドを別にするためここに、宣言）
    Dim dkp As Decimal  '     
    Dim sizpix As Decimal = 4 '寸法線のピクセルサイズ　（基本は　４）
    Dim txtpix As Decimal = 4 '寸法数値のピクセルサイズ　（基本は　４）
    '画像の表示
    Public Sub doplan(ByVal g As Graphics)

        Dim selpix As Decimal = 4  '枠線のピクセルサイズ　（基本は　４）

        '文字のフォント指定。
        Dim d As New Font(_gosic, CDec(_txt(0)), _fonts)
        Dim c As New Font(_gosic, CDec(_txt(1)), _fonts)
        Dim f As New Font(_gosic, CDec(_txt(2)), _fonts) '数値の大きさ 寸法数値のインスタンス
        Dim h As New Font(_gosic, CDec(_txt(3)), _fonts) '公差数値の大きさのインスタンス

        '線の太さ
        '_pbp(0)=pbp1 
        '_pbp(1)=pbp2
        '_pbp(2)=pbp3

        Dim pix As Decimal = 4
        Dim ysnt As Decimal = 120  'Ｙの基準点
        'StringをDecimalに変換してpixsをかける
        'TextBox1(0) _txtnum(0)(txt1)
        'TextBox2(1) _txtnum(1)(l)
        'TextBox3(2) _txtnum(2)(mtkodo)
        'TextBox4(3) _txtnum(3)(material)
        'TextBox5(4) _txtnum(4)(treat)
        'TextBox6(5) _txtnum(5)(xsnt1)
        'TextBox7(6) _txtnum(6)(xsnt2)
        'TextBox8(7) _txtnum(7)(pixs)
        'TextBox9(8) _txtnum(8)(tyb)
        'TextBox10(9) _txtnum(9)(txt10)

        'StringをDecimalに変換してpixsをかける

        '_txtnum()TextBoxに入力された値
        Dim ysntp As Decimal = ysnt * 4
        Dim sizp As Decimal = 4           '寸法線と寸法文字のピクセルサイズ（基本は4）
        Dim xsnt1p As Decimal = CDec(_txtnum(5) * _txtnum(7))
        Dim xsnt2p As Decimal = CDec(_txtnum(6) * _txtnum(7))
        Dim tybp As Decimal = CDec(_txtnum(7) * _txtnum(7))

        'Hexagon Bolt.csvファイルのデータ  Decimalに変換してpixsをかけた場合は末尾にpを付ける。
        Dim yobi As String = _hexmili1(0)                        '(0)呼び径
        '                                                        '（1）ピッチ　　並み目ネジのみなので使用しない。
        Dim dskijp As Decimal = CDec(_hexmili1(2) * _txtnum(7))  '（2）胴部分の径
        Dim ds0 As String = _hexmili1(3)                         '（3）胴部分の径０公差
        Dim dsms As String = _hexmili1(4)                        '（4）胴部分の径の－公差
        Dim kkijp As Decimal = CDec(_hexmili1(5) * _txtnum(7))   '（5）頭部の厚み
        Dim kpums As String = _hexmili1(6)                       '（6）頭部の厚み±公差
        Dim skijp As Decimal = CDec(_hexmili1(7) * _txtnum(7))   '（7）Ｈ幅
        Dim s0 As String = _hexmili1(8)                          '（8）Ｈ幅　０公差
        Dim sms As String = _hexmili1(9)                         '（9）Ｈ幅　－公差
        Dim eyakup As Decimal = CDec(_hexmili1(10) * _txtnum(7)) '（10）頭部外径
        dkp = CDec(_hexmili1(11) * _txtnum(7))
        Dim r As String = _hexmili1(12)                          '（12）隅Ｒ
        '                                                        '(13)は現在ＣＳＶファイルが空欄のためここには表示しない。
        Dim zp As Decimal = CDec(_hexmili1(14) * _txtnum(7))                          '（14）先端面取り
        Dim teplin As Decimal  '頭部xのテーパー開始点座標
        Dim tepa As Decimal = 0.577  'tan30の値
        Dim tobst As Decimal  '30度テーパー部のライン(x2-x1)の値
        Dim dkh1 As Decimal  'yを求める


        'ココからはボルトの画像表示
        '座面のライン
        g.DrawLine(_pbp(1), xsnt2p + kkijp, ysntp - eyakup / 2, xsnt2p + kkijp, ysntp + eyakup / 2)
        'ボルト頭部端面
        g.DrawLine(_pbp(1), xsnt2p, ysntp - dkp / 2, xsnt2p, ysntp + dkp / 2)
        '30度テーパー部のライン
        teplin = xsnt2p + ((eyakup / 2) - (dkp / 2)) * tepa  '上下兼用
        g.DrawLine(_pbp(1), xsnt2p, ysntp - (dkp / 2), teplin, ysntp - eyakup / 2)
        g.DrawLine(_pbp(1), xsnt2p, ysntp + dkp / 2, teplin, ysntp + eyakup / 2)
        '頭部外径ライン
        g.DrawLine(_pbp(1), teplin, ysntp - eyakup / 2, xsnt2p + kkijp, ysntp - eyakup / 2)
        g.DrawLine(_pbp(1), teplin, ysntp + eyakup / 2, xsnt2p + kkijp, ysntp + eyakup / 2)
        '頭部六角表示中ライン　　
        hl = skijp * tepa    '頭部六角表示中ラインの間隔長さ
        g.DrawLine(_pbp(1), teplin, ysntp - hl / 2, xsnt2p + kkijp, ysntp - hl / 2)
        g.DrawLine(_pbp(1), teplin, ysntp + hl / 2, xsnt2p + kkijp, ysntp + hl / 2)
        ' ｛dkから頭部六角表示中ラインhiを結ぶ円弧｝
        '公式　R=dkh1 * dkh1/8/ tobst+ tobst/2
        tobst = ((eyakup / 2) - (dkp / 2)) * tepa  '30度テーパー部のライン(x2-x1)の値
        'dkh1を求める。
        dkh1 = ((dkp / 2) - (hl / 2)) * 2
        r1 = dkh1 * dkh1 / 8 / tobst + tobst / 2
        Dim aen As Decimal = aend()
        g.DrawArc(_pbp(1), xsnt2p, ysntp - dkp / 2 - r1, r1 * 2, r1 * 2, 180 - aen, aen)
        g.DrawArc(_pbp(1), xsnt2p, ysntp + dkp / 2 - r1, r1 * 2, r1 * 2, 180, aen)
        '頭部六角表示中ラインを結ぶ円弧のライン
        '公式　r2=hl*hl/8/tobst+tobst/2
        r2 = hl * hl / 8 / tobst + tobst / 2
        Dim asn As Decimal = asnd()
        g.DrawArc(_pbp(1), xsnt2p, ysntp - r2, r2 * 2, r2 * 2, 180 - asn, asn * 2)

        '胴部Ｌのライン
        Dim llinep As Decimal = CDec(_txtnum(1)) * CDec(_txtnum(7))
        If CDec(_txtnum(1)) > 100 Then   '胴部Ｌのラインが長く図面からはみ出さないための処理
            llinep = 100 * CDec(_txtnum(7))
        End If
        '胴部Ｌのライン,面取り部を加味
        g.DrawLine(_pbp(1), xsnt2p + kkijp, ysntp - dskijp / 2, xsnt2p + kkijp + llinep - zp, ysntp - dskijp / 2)
        g.DrawLine(_pbp(1), xsnt2p + kkijp, ysntp + dskijp / 2, xsnt2p + kkijp + llinep - zp, ysntp + dskijp / 2)

        '先端部のライン,面取り部を加味
        g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep, ysntp - dskijp / 2 + zp, xsnt2p + kkijp + llinep, ysntp + dskijp / 2 - zp)

        '面取り部のライン
        g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - zp, ysntp - dskijp / 2, xsnt2p + kkijp + llinep, ysntp - dskijp / 2 + zp)
        g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - zp, ysntp + dskijp / 2, xsnt2p + kkijp + llinep, ysntp + dskijp / 2 - zp)

        'ネジ開始のライン
        g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - zp, ysntp - dskijp / 2, xsnt2p + kkijp + llinep - zp, ysntp + dskijp / 2)

        'ネジ長さは値を返すメソッドで対応
        Dim nejiline As String = nejians()
        Dim nejcd As Decimal = CDec(nejiline)  'ネジ長さを取得
        Dim nejcdp As Decimal = nejcd * CDec(_txtnum(7))

        '胴部Ｌのラインが長く図面からはみ出さないための処理をしたときに胴部に斜め線を入れる。
        If CDec(_txtnum(1)) > 100 Then
            g.DrawLine(_pbp(1), xsnt2p + kkijp + (llinep - nejcdp) / 2 - 4 * zp, ysntp - dskijp / 2, xsnt2p + kkijp + (llinep - nejcdp) / 2 - 3 * zp, ysntp + dskijp / 2)
            g.DrawLine(_pbp(1), xsnt2p + kkijp + (llinep - nejcdp) / 2 - 5 * zp, ysntp - dskijp / 2, xsnt2p + kkijp + (llinep - nejcdp) / 2 - 4 * zp, ysntp + dskijp / 2)
        End If

        'ネジ谷ライン  水平線
        '全ネジのときの場合の処理
        If CDec(_txtnum(1)) < nejcd + 2.5 * CDec(_hexmili1(14)) Then
            'ネジ谷ライン  水平線
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep, ysntp - dskijp / 2 + zp, xsnt2p + kkijp + llinep - nejcdp + zp, ysntp - dskijp / 2 + zp)
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep, ysntp + dskijp / 2 - zp, xsnt2p + kkijp + llinep - nejcdp + zp, ysntp + dskijp / 2 - zp)
            'ネジ谷ライン　45°斜め線
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - nejcdp + zp, ysntp - dskijp / 2 + zp, xsnt2p + kkijp + llinep - nejcdp, ysntp - dskijp / 2)
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - nejcdp + zp, ysntp + dskijp / 2 - zp, xsnt2p + kkijp + llinep - nejcdp, ysntp + dskijp / 2)
            '不完全ネジ部の垂直線
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - nejcdp + zp, ysntp - dskijp / 2 + zp, xsnt2p + kkijp + llinep - nejcdp + zp, ysntp + dskijp / 2 - zp)

            '全ネジではないとき
        Else
            'ネジ谷ライン  水平線
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep, ysntp - dskijp / 2 + zp, xsnt2p + kkijp + llinep - nejcdp - zp, ysntp - dskijp / 2 + zp)
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep, ysntp + dskijp / 2 - zp, xsnt2p + kkijp + llinep - nejcdp - zp, ysntp + dskijp / 2 - zp)
            'ネジ谷ライン　45°斜め線
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - nejcdp - zp, ysntp - dskijp / 2 + zp, xsnt2p + kkijp + llinep - nejcdp - 2 * zp, ysntp - dskijp / 2)
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - nejcdp - zp, ysntp + dskijp / 2 - zp, xsnt2p + kkijp + llinep - nejcdp - 2 * zp, ysntp + dskijp / 2)
            '不完全ネジ部の垂直線
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - nejcdp - zp, ysntp - dskijp / 2 + zp, xsnt2p + kkijp + llinep - nejcdp - zp, ysntp + dskijp / 2 - zp)
        End If


        'ここからは六角部のライン設定
        '頭部円のライン
        g.DrawEllipse(_pbp(1), xsnt1p - dkp / 2, ysntp - dkp / 2, dkp, dkp)

        '正六角形のライン
        Dim hex As Point() = {New Point(xsnt1p, ysntp - eyakup / 2), New Point(xsnt1p + skijp / 2, ysntp - hl / 2), New Point(xsnt1p + skijp / 2, ysntp + hl / 2), New Point(xsnt1p, ysntp + eyakup / 2), New Point(xsnt1p - skijp / 2, ysntp + hl / 2), New Point(xsnt1p - skijp / 2, ysntp - hl / 2), New Point(xsnt1p, ysntp - eyakup / 2)}
        g.DrawPolygon(_pbp(1), hex)

        'ここからは寸法線の設定
        'ネジ部の寸法線
        '全長の寸法線  垂直線
        g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep, ysntp - dskijp / 2 + zp, xsnt2p + kkijp + llinep, ysntp - dkp / 2 - 44 * sizpix)
        g.DrawLine(_pbp(1), xsnt2p, ysntp - dkp / 2, xsnt2p, ysntp - dkp / 2 - 44 * sizpix)

        '頭部厚み寸法線
        g.DrawLine(_pbp(1), xsnt2p + kkijp, ysntp - eyakup / 2, xsnt2p + kkijp, ysntp - eyakup / 2 - 31 * sizpix)

        '有効ネジ長さの寸法線　垂直線　全ネジのときはキャンセルする
        If CDec(_txtnum(1)) > nejcd + 3 * CDec(_hexmili1(14)) Then
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - nejcdp - zp, ysntp - dskijp / 2, xsnt2p + kkijp + llinep - nejcdp - zp, ysntp - dskijp / 2 - 24 * sizpix)
        End If
        '頭部dkの寸法線　水平線
        g.DrawLine(_pbp(1), xsnt2p, ysntp - dkp / 2, xsnt2p - 10 * sizpix, ysntp - dkp / 2)
        g.DrawLine(_pbp(1), xsnt2p, ysntp + dkp / 2, xsnt2p - 10 * sizpix, ysntp + dkp / 2)

        '30°寸法線
        Dim siztan As Decimal
        siztan = Math.Tan(30 / 180 * Math.PI)
        g.DrawLine(_pbp(1), xsnt2p, ysntp + dkp / 2, xsnt2p, ysntp + dkp / 2 + 15 * sizpix)
        g.DrawLine(_pbp(1), xsnt2p, ysntp + dkp / 2, xsnt2p + siztan * (15 * sizpix), ysntp + dkp / 2 + 15 * sizpix)

        'ここからは六角部の寸法線
        '六角形の寸法線    垂直線
        g.DrawLine(_pbp(1), xsnt1p + skijp / 2, ysntp - hl / 2, xsnt1p + skijp / 2, ysntp - hl / 2 - 17 * sizpix)
        g.DrawLine(_pbp(1), xsnt1p - skijp / 2, ysntp - hl / 2, xsnt1p - skijp / 2, ysntp - hl / 2 - 17 * sizpix)

        'ここから←→付きの寸法線
        _pbp(1).CustomStartCap = New Drawing2D.AdjustableArrowCap(3, 3)
        _pbp(1).CustomEndCap = New Drawing2D.AdjustableArrowCap(3, 3)
        'ネジ部の寸法線
        '30°寸法線の円弧表示
        Dim sizr1 As Decimal
        sizr1 = 10 * sizpix
        g.DrawArc(_pbp(1), xsnt2p - sizr1, ysntp + dkp / 2 - sizr1, sizr1 * 2, sizr1 * 2, 60, 30)
        '全長の寸法線水平線
        g.DrawLine(_pbp(1), xsnt2p, ysntp - dskijp / 2 - 46 * sizpix, xsnt2p + kkijp + llinep, ysntp - dskijp / 2 - 46 * sizpix)
        '頭部厚みの寸法線　水平線
        g.DrawLine(_pbp(1), xsnt2p, ysntp - dkp / 2 - 32 * sizpix, xsnt2p + kkijp, ysntp - dkp / 2 - 32 * sizpix)
        '胴部の長さ寸法線　　水平線
        g.DrawLine(_pbp(1), xsnt2p + kkijp, ysntp - dkp / 2 - 32 * sizpix, xsnt2p + kkijp + llinep, ysntp - dkp / 2 - 32 * sizpix)
        '端面ｄｋの寸法線　　垂直線
        g.DrawLine(_pbp(1), xsnt2p - 8 * sizpix, ysntp - dkp / 2, xsnt2p - 8 * sizpix, ysntp + dkp / 2)
        '有効ネジ長さの寸法線　　水平線  全ネジの場合はキャンセルする。
        If CDec(_txtnum(1)) > nejcd + 3 * CDec(_hexmili1(14)) Then
            g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - nejcdp - zp, ysntp - dskijp / 2 - 23 * sizpix, xsnt2p + kkijp + llinep, ysntp - dskijp / 2 - 23 * sizpix)
        End If

        '胴部分の径(dskij)の寸法法線　垂直線 +0.5*zpにする  全ネジの場合はキャンセルする。
        If CDec(_txtnum(1)) > nejcd + 3 * CDec(_hexmili1(14)) Then
            g.DrawLine(_pbp(1), xsnt2p + kkijp + (llinep - nejcdp) / 2 - zp, ysntp - dskijp / 2, xsnt2p + kkijp + (llinep - nejcdp) / 2 - zp, ysntp + dskijp / 2)
        End If

        'ここからは六角部の寸法線
        'Ｈ幅の寸法線　　水平線
        g.DrawLine(_pbp(1), xsnt1p + skijp / 2, ysntp - hl / 2 - 16 * sizpix, xsnt1p - skijp / 2, ysntp - hl / 2 - 16 * sizpix)

        'ここからは寸法線←線の表示
        _pbp(1).CustomStartCap = New Drawing2D.AdjustableArrowCap(3, 3)
        _pbp(1).CustomEndCap = New Drawing2D.AdjustableArrowCap(0, 0)
        'ネジ部先端の面取り寸法線　30°線
        Dim menxp As Decimal
        Dim menyp As Decimal
        menxp = 10 * (Math.Cos(60 / 180 * Math.PI)) * sizpix
        menyp = 10 * (Math.Sin(60 / 180 * Math.PI)) * sizpix
        g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep, ysntp - dskijp / 2 + zp, xsnt2p + kkijp + llinep + menxp, ysntp - dskijp / 2 - menyp)
        '呼び径の表示線　　30°線 
        Dim yoby As Decimal = 4 * txtpix
        Dim yotanp As Decimal
        yotanp = yoby * Math.Tan(30 / 180 * Math.PI)
        g.DrawLine(_pbp(1), xsnt2p + kkijp + llinep - 2 * zp, ysntp + dskijp / 2, xsnt2p + kkijp + llinep - 2 * zp + yotanp, ysntp + dskijp / 2 + yoby)
        '隅Ｒの寸法線　　30°線
        Dim sumirxp As Decimal
        Dim sumiryp As Decimal
        sumirxp = 8 * (Math.Sin(30 / 180 * Math.PI)) * sizpix
        sumiryp = 8 * (Math.Cos(30 / 180 * Math.PI)) * sizpix
        g.DrawLine(_pbp(1), xsnt2p + kkijp, ysntp + dskijp / 2, xsnt2p + kkijp + sumirxp, ysntp + dskijp / 2 + sumiryp)
        '胴部径の寸法線
        Dim dstanp As Decimal
        Dim zp5 As Decimal = 0.5 * zp
        dstanp = 30 * txtpix * Math.Tan(30 / 180 * Math.PI)
        If CDec(_txtnum(1)) > nejcd + 3 * CDec(_hexmili1(14)) Then
            g.DrawLine(_pbp(1), xsnt2p + kkijp + (llinep - nejcdp) / 2 - zp, ysntp + dskijp / 2, xsnt2p + kkijp + (llinep - nejcdp) / 2 + zp5 + dstanp, ysntp + dskijp / 2 + 15 * txtpix)
            _pbp(1) = New Pen(Color.Black, 2)  '線のインスタンス（この線はー銭です）
            g.DrawLine(_pbp(1), xsnt2p + kkijp + (llinep - nejcdp) / 2 + zp5 + dstanp, ysntp + dskijp / 2 + 15 * txtpix, xsnt2p + kkijp + (llinep - nejcdp) / 2 + zp5 + dstanp + 20 * txtpix, ysntp + dskijp / 2 + 15 * txtpix)
        End If

        'ここからは寸法の文字表示
        '30°角度の表示
        g.DrawString("30°", f, Brushes.Black, xsnt2p, ysntp + dkp / 2 + 11 * txtpix)
        '全長寸法の数値  （寸法線とＸは一文字txtpix　　Ｙは4 * txtpix違い）
        g.DrawString("(" & CDec(_txtnum(1)) + CDec(_hexmili1(5)) & ")", f, Brushes.Black, (xsnt2p + kkijp + llinep + xsnt2p) / 2 - 4 * txtpix, ysntp - dskijp / 2 - 50 * sizpix)
        '頭部の厚み寸法  kkij （5）頭部の厚み

        g.DrawString(_hexmili1(5), f, Brushes.Black, xsnt2p + kkijp / 2 - 4 * txtpix + CDec(_txtnum(8)) * txtpix, ysntp - dkp / 2 - 38 * txtpix)
        '頭部の厚み寸法公差　 kpums （6）頭部の厚み±公差
        g.DrawString(kpums, h, Brushes.Black, xsnt2p + kkijp / 2 + 0.5 * txtpix + CDec(_txtnum(8)) * txtpix, ysntp - dkp / 2 - 39 * txtpix)
        'TextBox2に入力された胴部の長さ　 lline 
        g.DrawString(CDec(_txtnum(1)), f, Brushes.Black, xsnt2p + kkijp + llinep / 2 - 6 * txtpix, ysntp - dkp / 2 - 36 * txtpix)
        '胴部の長さの公差　現在はＭ２４までなので　if文で対応　　将来はtemp3.csvファイルを読み込むメソッドから値を取得する
        Dim loca As Decimal
        If CDec(_txtnum(1)) < 100 Then
            loca = -1 * txtpix
        ElseIf CDec(_txtnum(1)) >= 100 Then
            loca = 1 * txtpix
        End If
        If 50 >= CDec(_txtnum(1)) Then
            g.DrawString("±0.5", h, Brushes.Black, xsnt2p + kkijp + llinep / 2 + loca, ysntp - dkp / 2 - 36 * txtpix)
        ElseIf 120 >= CDec(_txtnum(1)) AndAlso CDec(_txtnum(1)) > 50 Then
            g.DrawString("±0.7", h, Brushes.Black, xsnt2p + kkijp + llinep / 2 + loca, ysntp - dkp / 2 - 36 * txtpix)
        ElseIf 250 >= CDec(_txtnum(1)) AndAlso CDec(_txtnum(1)) > 120 Then
            g.DrawString("±0.9", h, Brushes.Black, xsnt2p + kkijp + llinep / 2 + loca, ysntp - dkp / 2 - 36 * txtpix)
        End If
        '全ネジの場合の処理
        If CDec(_txtnum(1)) < nejcd + 2.5 * CDec(_hexmili1(14)) Then
            g.DrawString("全ネジ", f, Brushes.Black, xsnt2p + kkijp + llinep / 2 + 1 * txtpix, ysntp - dskijp / 2 - 60 * sizpix)
        End If

        'ネジ先端部のＣ面取り
        g.DrawString("Ｃ" & _hexmili1(14), f, Brushes.Black, xsnt2p + kkijp + llinep + menxp - 5 * txtpix, ysntp - dskijp / 2 - menyp - 4 * txtpix)
        '全ネジではないときの有効ネジ長さ 全ネジのときはキャンセル
        If CDec(_txtnum(1)) > nejcd + 3 * CDec(_hexmili1(14)) Then
            g.DrawString(nejiline, f, Brushes.Black, xsnt2p + kkijp + llinep - nejcdp / 2 - 3 * zp, ysntp - dskijp / 2 - 23 * sizpix - 4 * txtpix)
        End If

        '有効ネジ長さの公差　　湘南工場はＭ２４までなので　今回はif文で対応する
        If CDec(_txtnum(1)) > nejcd + 3 * CDec(_hexmili1(14)) Then  '全ネジのときはキャンセルする
            If 30 >= nejiline Then
                g.DrawString(" 0", h, Brushes.Black, xsnt2p + kkijp + llinep - nejcdp / 2 + 3 * txtpix - zp, ysntp - dskijp / 2 - 23 * sizpix - 3 * txtpix)
                g.DrawString("+3", h, Brushes.Black, xsnt2p + kkijp + llinep - nejcdp / 2 + 2 * txtpix - zp, ysntp - dskijp / 2 - 23 * sizpix - 6 * txtpix)
            ElseIf nejiline > 30 AndAlso 50 >= nejiline Then
                g.DrawString(" 0", h, Brushes.Black, xsnt2p + kkijp + llinep - nejcdp / 2 + 3 * txtpix - zp, ysntp - dskijp / 2 - 23 * sizpix - 3 * txtpix)
                g.DrawString("+4", h, Brushes.Black, xsnt2p + kkijp + llinep - nejcdp / 2 + 2 * txtpix - zp, ysntp - dskijp / 2 - 23 * sizpix - 6 * txtpix)
            ElseIf nejiline > 50 AndAlso 80 >= nejiline Then
                g.DrawString(" 0", h, Brushes.Black, xsnt2p + kkijp + llinep - nejcdp / 2 + 3 * txtpix - zp, ysntp - dskijp / 2 - 23 * sizpix - 3 * txtpix)
                g.DrawString("+5", h, Brushes.Black, xsnt2p + kkijp + llinep - nejcdp / 2 + 2 * txtpix - zp, ysntp - dskijp / 2 - 23 * sizpix - 6 * txtpix)
            End If
        End If

        '隅Ｒの表示
        g.DrawString("R" & r, f, Brushes.Black, xsnt2p + kkijp + sumirxp - 2 * txtpix, ysntp + dskijp / 2 + sumiryp)
        'ネジサイズの表示
        g.DrawString(yobi, f, Brushes.Black, xsnt2p + kkijp + llinep - 2 * zp + yotanp - 3 * txtpix, ysntp + dskijp / 2 + yoby)
        '六角部(skij)（7）Ｈ幅の表示
        g.DrawString(_hexmili1(7), f, Brushes.Black, xsnt1p - 7 * txtpix, ysntp - hl / 2 - 16 * sizpix - 5 * txtpix)
        '六角部　Ｈ幅の公差の表示　０公差(s0)
        g.DrawString(s0, h, Brushes.Black, xsnt1p + 1 * txtpix, ysntp - hl / 2 - 16 * sizpix - 7 * txtpix)
        '六角部　Ｈ幅の公差の表示  －公差(sms)
        g.DrawString(sms, h, Brushes.Black, xsnt1p - 1 * txtpix, ysntp - hl / 2 - 16 * sizpix - 4 * txtpix)
        '胴部分の径の表示 (dskij)
        If CDec(_txtnum(1)) > nejcd + 3 * CDec(_hexmili1(14)) Then
            g.DrawString("Φ" & _hexmili1(2), f, Brushes.Black, xsnt2p + kkijp + (llinep - nejcdp) / 2 + zp5 + dstanp, ysntp + dskijp / 2 + 11 * txtpix)
            '胴部分の径０公差の表示 (ds0)
            g.DrawString(ds0, h, Brushes.Black, xsnt2p + kkijp + (llinep - nejcdp) / 2 + zp5 + dstanp + 12 * txtpix, ysntp + dskijp / 2 + 9 * txtpix)
            '胴部分の径の－公差の表示(dsms)
            g.DrawString(dsms, h, Brushes.Black, xsnt2p + kkijp + (llinep - nejcdp) / 2 + zp5 + dstanp + 10 * txtpix, ysntp + dskijp / 2 + 12 * txtpix)
        End If
        '頭部端面径の表示 (dk)
        '座標(30, 10)に描画するため、ワールド変換を平行移動
        g.TranslateTransform(xsnt2p - 15 * txtpix + CDec(_txtnum(9)) * txtpix, ysntp + 6 * txtpix)

        'ワールド変換行列を度回転する
        g.RotateTransform(270)

        g.DrawString("Φ" & _hexmili1(11), f, Brushes.Black, 0, 0)

        g.Dispose()

        '各ArrayListのクリアー
        _pbp.Clear()
        _txtnum.Clear()
        _hexmili1.Clear()
        _hexmili2.Clear()

    End Sub
    'ねじ長さの値を取得する。メソッド
    Private Function nejians() As String
      
        Dim ansneji As String   '返す値の変数
        Dim txt1 As String
        txt1 = _txtnum(0)

        'TextBox2のStringをDecimalに変換処理
        Dim lline As Decimal  '胴部Ｌのライン
        Dim txt2string As String 'TextBox2の初期値はString
        txt2string = _txtnum(1)  '胴部Ｌのライン
        lline = CDec(txt2string)

        If "M" & txt1 = _hexmili2(0) Then
            If CDec(_hexmili2(1)) >= lline Then
                ansneji = lline
            ElseIf 125 >= lline Then
                ansneji = CDec(_hexmili2(1))
            ElseIf lline > 125 Then
                ansneji = CDec(_hexmili2(1))
            End If
        End If

        Return ansneji

    End Function

    'dkから頭部六角表示中ラインhiを結ぶ円弧の始点角の計算
    Private Function asnd() As Decimal
        Dim r2hi As Decimal = (hl / 2) / r2
        Dim anshi As Decimal
        anshi = (Math.Asin(r2hi)) * (180 / Math.PI)
        Return anshi
    End Function
    'dkから頭部六角表示中ラインhiを結ぶ円弧の終点角の計算
    Private Function aend() As Decimal
        Dim r1dkp As Decimal = (dkp / 2 - hl / 2) / r1
        Dim anss As Decimal
        anss = (Math.Asin(r1dkp)) * (180 / Math.PI)
        Return anss
    End Function
    'TextBoxに入力された数値の取得
    Public Sub txtnum(ByVal item As String)
        _txtnum.Add(item)
    End Sub
    'Hexagon Bolt.csvファイルのデータの取得
    Public Sub hexmili1(ByVal item As String)
        _hexmili1.Add(item)
    End Sub
    'temp2.csvファイルのデータの取得
    Public Sub hexmili2(ByVal item As String)
        _hexmili2.Add(item)
    End Sub
   
    '線の太さと色の設定データの取得
    Public Sub depth(ByVal item As Pen)
        _pbp.Add(item)
    End Sub
    '文字サイズの数値
    Public Sub add(ByVal item As String)
        _txt.Add(item)
    End Sub
    'ゴシックの設定
    Public Property gosic() As String
        Get
            Return _gosic
        End Get
        Set(value As String)
            _gosic = value
        End Set
    End Property
    'FontStyleの設定
    Public Property fonts() As Drawing.FontStyle
        Get
            Return _fonts
        End Get
        Set(value As Drawing.FontStyle)
            _fonts = value
        End Set
    End Property
End Class
